Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn.util
Class EnvReport

    java.lang.Object
      net.sf.statsvn.util.EnvReport

public final class EnvReport
extends Object

This class provides a report to standard output of relevant JRE properties and svn executable information. This output is intended to be included with bug reports to help the StatSVN team diagnose common issues with wrong SVN version, wrong JRE version, and locale settings.

Author:
  jpdaigle jpdaigle@softwareengineering.ca

Method Summary
`static String` | `fmtPropertiesForScreen(Properties props, String[] keySet)` Format a set of key/value Properties for the screen, by right-aligning the key column.
`static String` | `getEnvReport()`
`static Properties` | `getStatSVNInfo()` Get information about the current version of StatSVN.
`static Properties` | `getSvnVersionInfo()` Get svn executable version info.
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)

### getEnvReport

    public static String getEnvReport()

### fmtPropertiesForScreen

    public static String fmtPropertiesForScreen(Properties props,
                                                String[] keySet)

  Format a set of key/value Properties for the screen, by right-aligning the key column. Each key/value pair is printed and followed by a newline.

  Parameters:
    `props` - Property set to format for printout.
    `keySet` - The keys of interest to use. If null, use all keys defined in props.
  Returns:
    Formatted text block with property keys and values, with a newline after every set.

### getSvnVersionInfo

    public static Properties getSvnVersionInfo()

  Get svn executable version info. We cannot use the excellent "ProcessUtils" because we are not running in the context of a StatSVN invocation. We use a plain old exec().

  Returns:
    Property set

### getStatSVNInfo

    public static Properties getStatSVNInfo()

  Get information about the current version of StatSVN.

  Returns:
    Property set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD